> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usemandate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate Policy



## OpenAPI

````yaml /openapi.json post /policy/evaluate
openapi: 3.1.0
info:
  title: Mandate API
  version: 0.1.0
servers:
  - url: https://api.usemandate.io
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Agents
  - name: Mandates
  - name: Payments
  - name: Sellers
  - name: Verification
  - name: Transactions
  - name: Audit
  - name: Accounts
  - name: Policy
paths:
  /policy/evaluate:
    post:
      tags:
        - Policy
      summary: Evaluate Policy
      operationId: evaluate_policy_route_policy_evaluate_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluatePolicyRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EvaluatePolicyRequest:
      properties:
        agent_id:
          type: string
          title: Agent Id
          example: agt_abc123
        mandate_id:
          type: string
          title: Mandate Id
          example: mnd_abc123
        merchant_domain:
          type: string
          title: Merchant Domain
          example: api.example.com
        amount:
          type: string
          title: Amount
          example: '5.00'
        currency:
          type: string
          title: Currency
          default: USDC
          example: USDC
        resource_url:
          type: string
          title: Resource Url
          example: https://api.example.com/data
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
      type: object
      required:
        - agent_id
        - mandate_id
        - merchant_domain
        - amount
        - resource_url
      title: EvaluatePolicyRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Use your sandbox (ky_sand_) or production (ky_prod_) API key

````